Loading...
Searching...
No Matches
xccdf_score Struct Reference
XCCDF

XCCDF score. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_score * | xccdf_score_new (void)
OSCAP_API struct xccdf_score * | xccdf_score_clone (const struct xccdf_score *score)
OSCAP_API void | xccdf_score_free (struct xccdf_score *score)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API xccdf_numeric | xccdf_score_get_maximum (const struct xccdf_score *item)
OSCAP_API xccdf_numeric | xccdf_score_get_score (const struct xccdf_score *item)
OSCAP_API const char * | xccdf_score_get_system (const struct xccdf_score *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_score_set_maximum (struct xccdf_score *obj, xccdf_numeric newval)
OSCAP_API bool | xccdf_score_set_score (struct xccdf_score *obj, xccdf_numeric newval)
OSCAP_API bool | xccdf_score_set_system (struct xccdf_score *obj, const char *newval)

## Data Fields

xccdf_numeric | maximum
xccdf_numeric | score
char * | system

## Detailed Description

XCCDF score.

See also
  xccdf_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h